/*
Theme Name: Mon Thème Enfant
Template: astra
Version: 1.0
Description: Thème enfant de astra
Author: sarah
*/


/* Paramètres fil d'ariane */
@media screen and (min-width: 750px) {
.main-header-bar.ast-header-breadcrumb {
    border-bottom: none;
    padding: 30px 0px 10px;
}
}


/* Styliser les labels du formulaire pour qu'ils ressemblent à ceux d'Astra */
.contact-form label {
    font-family: Playfair Display, serif;
    font-size: 1.2rem; 
    font-weight: 400; 
    color: #153828;
    margin-bottom: 10px; 
    margin-top: 10px; 
}


.wpcf7 input.wpcf7-form-control{
    border-color: #89673A;
    border:solid 2px;
    border-radius:10px;
    background-color: #fcf5e7;
}

textarea.wpcf7-form-control {
    border-color: #89673A;
    border:solid 2px;
    border-radius:20px;
    background-color: #fcf5e7;
}

textarea.wpcf7-form-control:focus {
   border-color: #89673A;
    
}

.woocommerce-product-form .woocommerce-variation {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.woocommerce-product-form .form-row {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.woocommerce-product-form select,
.woocommerce-product-form input[type="text"],
.woocommerce-product-form textarea {
    width: 100%;
    padding: 8px;
    border-radius: 4px;
    border: 1px solid #fffbf6;
}


.woocommerce-js div.product .woocommerce-tabs ul.tabs li a {
    color:#153828;
    font-family:playfair display;
    font-weight: 400;
    text-transform: uppercase;
}

.woocommerce-noreviews {
    display: none;
}


span.wapf-field-label wapf--above{
    color:#153828;
}

.wapf-field-input{
    background-color: #fcf5e7;
}

.woocommerce-tabs .wc-tabs li a:focus {
    outline: none;
    box-shadow: none;
}

div.product .related.products h2 {
    text-transform: uppercase;
}


/* Style pour la description courte au survol - liste produits */
.woocommerce ul.products li.product .woocommerce-loop-product__title {
    position: relative;
}

.woocommerce ul.products li.product .short-description {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background:#15382891; /* Fond semi-opaque */
    color: #fffbf6;
    padding: 15px;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.woocommerce ul.products li.product:hover .short-description {
    opacity: 1;
}



/* Styles spécifiques pour le mode mobile - onglets page produit individuel */
@media screen and (max-width: 768px) {
    .woocommerce-tabs .accordion-tab {
        display: block;
        width: 100%;
        border:none;
        padding: 12px;
        text-align: left;
        font-family: playfair display;
        text-transform: uppercase;
        font-size: 16px;
        cursor: pointer;
        outline: none;
        border-radius:0%;
        transition: background 0.3s ease;
    }

    .woocommerce-tabs .accordion-tab:hover,
    .woocommerce-tabs .accordion-tab[aria-expanded="true"] {
        background-color:#00788E;
    }

    .woocommerce-tabs .woocommerce-Tabs-panel {
        display: none; /* Caché par défaut */
        padding: 15px;
        background: #fffbf6;
        animation: fadeIn 0.5s ease-in-out;
    }

    @keyframes fadeIn {
        from {
            opacity: 0;
            transform: translateY(-5px);
        }
        to {
            opacity: 1;
            transform: translateY(0);
        }
    }
}